Issue 12688 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Product: utilities
Classification: Unclassified
Component: code
All All
: P3 Trivial (vote)
: OOo 1.1 Beta2
Assigned To: hennes.rohling
Depends on:
Blocks: 11945
  Show dependency treegraph
Reported: 2003-03-26 19:04 UTC by matthias.huetsch
Modified: 2003-04-29 13:09 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-26 19:04:03 UTC
Hi Hennes,

Several dynamically loaded shared libraries delivered by project 'util'
fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.

Affected in module 'extensions' are the following libraries:	(util/extensions/source/bibliography)	(util/extensions/source/installation/office/instchk)	(util/extensions/source/packer)	(util/extensions/source/resource)	(util/extensions/source/svg)	(util/extensions/source/xmlextract)

Affected in module 'eventattacher' is the following library:	(util/eventattacher/source)

Affected in module 'fileaccess' is the following library:	(util/fileaccess/source)

All modules (extensions, eventattacher, fileaccess) have already been added to
'cws_srx644_tune01', were this issue shall be fixed.

Please notify / dispatch to the appropriate owner(s).

Comment 1 matthias.huetsch 2003-03-26 19:05:43 UTC
Added tentative target milestone 'OOo 1.1 Beta2' and dependency to
meta task 11945.
Comment 2 matthias.huetsch 2003-03-26 21:32:06 UTC
Now really adding target milestone...
Comment 3 matthias.huetsch 2003-04-03 11:39:32 UTC
Already fixed:	(util/fileaccess/source)	(util/eventattacher/source)	(util/extensions/source/xmlextract)

Please fix the remaining libraries in 'extensions' until Friday COB.
Comment 4 hennes.rohling 2003-04-03 13:09:29 UTC
Owners assigned:	OS   CL  CL  PL seems to be obsolete. I'll check if this component 
can be removed.
Comment 5 philipp.lohmann 2003-04-03 13:42:56 UTC
fixed libres for extensions/source/resource
Comment 6 matthias.huetsch 2003-04-03 19:31:12 UTC
Also fixed are:	(util/extensions/source/bibliography) (by OS)	(util/extensions/source/packer)	(util/extensions/source/svg)

thus no more help needed from CL.

This leaves us with Hennes to check for 'liboic's usage, only.

Comment 7 hennes.rohling 2003-04-08 09:48:21 UTC
liboic isn't used -> removed
Comment 8 matthias.huetsch 2003-04-15 09:58:53 UTC
Comment 9 matthias.huetsch 2003-04-29 13:09:55 UTC
Verified integration into SRX644/m12s1 -> closing.